Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.datatype
Interface DataTypeValueSummarizer

All Superinterfaces:
  Serializable

    public interface DataTypeValueSummarizer

extends Serializable

Allows a tool environment to summarize a data type value in a limited amount of space. This summary may not encompass the entire value, and may require the use of an editor to see or edit the entire value. The summarizer indicates zero or more editors that may be used to edit the property.

Nested Class Summary
`static interface` | `DataTypeValueSummarizer.InPlaceValueMediator`
`static interface` | `DataTypeValueSummarizer.StandAloneEditorSummary`
`static interface` | `DataTypeValueSummarizer.ValueMediator`
`static interface` | `DataTypeValueSummarizer.ValueSummary`

Method Summary
`DataTypeValueSummarizer.InPlaceValueMediator` | `getInPlaceValueMediator(Object obj, DataType dataType, String editorKey)` Only called when ValueSummary.getIsInPlaceEditAllowed() == true
`DataTypeValueSummarizer.ValueMediator` | `getValueMediator(Object obj, DataType dataType, String editorKey)`
`DataTypeValueSummarizer.ValueSummary` | `summarizeValue(Object obj, DataType dataType)`

Method Detail

### summarizeValue

    DataTypeValueSummarizer.ValueSummary summarizeValue(Object obj,
                                                        DataType dataType)
                                                        throws DataTypeException

  Throws:
    `DataTypeException`

### getValueMediator

    DataTypeValueSummarizer.ValueMediator getValueMediator(Object obj,
                                                           DataType dataType,
                                                           String editorKey)
                                                           throws DataTypeException

  Throws:
    `DataTypeException`

### getInPlaceValueMediator

    DataTypeValueSummarizer.InPlaceValueMediator getInPlaceValueMediator(Object obj,
                                                                         DataType dataType,
                                                                         String editorKey)
                                                                         throws DataTypeException

  Only called when ValueSummary.getIsInPlaceEditAllowed() == true

  Parameters:
    `obj` -
    `editorKey` -
  Returns:
  Throws:
    `DataTypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD